#include "ets_sys.h"
#include "os_type.h"
#include "osapi.h"
#include "mem.h"
#include "user_interface.h"
#include "gpio.h"
#include "uart.h"

at_recvTask(){}//此函数在所有工程中只能创建一次，可插入任意地方

/******************************************************************************/
os_timer_t  cyctimer;
void ICACHE_FLASH_ATTR
//时钟周期处理函数
cyctimer_exe(void) 
{



uart0_sendStr("\n\rhello world!\n\r");


}
//时钟周期处理函数结尾
void ICACHE_FLASH_ATTR
cyctimer_stop(void) //停止时钟
{
os_timer_disarm (&cyctimer) ;
}

void ICACHE_FLASH_ATTR
cyctimer_star(void) //启用时钟
{
os_timer_setfn(&cyctimer, (os_timer_func_t *)cyctimer_exe, NULL);
os_timer_arm(&cyctimer,1000,1);
}
/******************************************************************************/

void user_rf_pre_init(void)
{
}
void user_init(void)
{
system_set_os_print (0);//关闭log
uart_init(115200,115200);
cyctimer_star();


}
